Updates the fee list price with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
feelist_price| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| feelist_id |
Feelist on which this price belongs to |
globally unique identifier |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
string |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
feelist |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| hour_type_id |
Foreign key to hour_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type_code |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
string |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
hour_type |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| equipment_family_id |
Foreign key to equipment_family. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
equipment_family | |
| job_type_id |
Foreign key to job_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| job_type_code |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
string | |
| job_type |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
job_type | |
| price | decimal number |
Required |
|
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "a4c29955-a2ae-4ef8-b9f8-cd9adf39c61d",
"feelist_id": "ccd2b45c-320e-4e48-8499-4c373520b067",
"feelist_reference_back_office": "sample string 3",
"hour_type_id": "8ed65c17-fdea-466a-809e-90772a254099",
"hour_type_code": "sample string 5",
"equipment_family_id": "62a10dba-4508-4a75-99ed-7c0cf78ceded",
"equipment_family_code": "sample string 7",
"job_type_id": "ddeb6ef8-13a8-47ea-9c79-ab5c44e5e416",
"job_type_code": "sample string 9",
"price": 1.0,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-11-02T15:29:25.2184212+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.